## class ReplaceNextTextCmd : public ReplaceTextCmd

> command class for replacing next shapes' text.

## Inheritance:

### Public Methods

  | ReplaceNextTextCmd (ShapeView *v, const string *s1, const string *s2, bool sens, bool substr, bool nameOnly)
  void | Execute ()
  const char* | GetName () const

### Inherited from ReplaceTextCmd:

### Public Methods

void UnExecute()
void ReExecute()

### Protected Fields

ShapeView* view
Diagram* diagram
List <GShape *> * oldSelection
List <TextShape *> * textShapes
List <string *> * oldStrings
List <Point *> * oldSizes
string* pattern
string* replace
bool caseSensitive
bool substring
bool nameOnly

### Protected Methods

Diagram* GetDiagram()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command class for replacing next shapes' text.

`ReplaceNextTextCmd(ShapeView *v, const string *s1, const string *s2, bool sens, bool substr, bool nameOnly)`

`void Execute()`

`const char* GetName() const`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de